Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.context.exe.variableinstance
Class LongInstance

    java.lang.Object
      org.jbpm.context.exe.VariableInstance
          org.jbpm.context.exe.variableinstance.LongInstance

All Implemented Interfaces:
  java.io.Serializable

    public class LongInstance

extends VariableInstance

See Also:
  Serialized Form

Field Summary
`protected java.lang.Long` | `value`

Fields inherited from class org.jbpm.context.exe.VariableInstance
`converter, isValueCached, name, processInstance, token, tokenVariableMap, valueCache`

Constructor Summary
`LongInstance()`

Method Summary
`protected java.lang.Object` | `getObject()` is the value, stored by this variable instance.
`boolean` | `isStorable(java.lang.Object value)` is true if this variable-instance supports the given value, false otherwise.
`protected void` | `setObject(java.lang.Object value)` stores the value in this variable instance.

Methods inherited from class org.jbpm.context.exe.VariableInstance
`create, createVariableInstance, getName, getProcessInstance, getToken, getValue, removeReferences, setTokenVariableMap, setValue, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.Long value

Constructor Detail

### LongInstance

    public LongInstance()

Method Detail

### isStorable

    public boolean isStorable(java.lang.Object value)

  Description copied from class: `VariableInstance`
  is true if this variable-instance supports the given value, false otherwise.

  Specified by:
    `isStorable` in class `VariableInstance`

### getObject

    protected java.lang.Object getObject()

  Description copied from class: `VariableInstance`
  is the value, stored by this variable instance.

  Specified by:
    `getObject` in class `VariableInstance`

### setObject

    protected void setObject(java.lang.Object value)

  Description copied from class: `VariableInstance`
  stores the value in this variable instance.

  Specified by:
    `setObject` in class `VariableInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD